# dev.inmo.tgbotapi.extensions.api.utils

docs

# Package dev.inmo.tgbotapi.extensions.api.utils

## Functions

updateHandlerWithMediaGroupsAdaptation
Link copied to clipboard
fun CoroutineScope. updateHandlerWithMediaGroupsAdaptation (output: UpdateReceiver < Update >, mediaGroupsDebounceMillis: Long = 1000): UpdateReceiver < Update >
Content copied to clipboard

Create UpdateReceiver object which will correctly accumulate updates and send into output updates which INCLUDE dev.inmo.tgbotapi.types.update.MediaGroupUpdates.MediaGroupUpdates.